# Generated by Django 4.0 on 2022-08-25 13:16

from django.db import migrations, models
import finanztool.pdf.generation.pdf_check


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0108_alter_sapbooking_benutzername_alter_sapbooking_name_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='cashtransfer',
            name='form_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Anweisungsformular'),
        ),
        migrations.AlterField(
            model_name='inventory',
            name='generated_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Anlagenbuchhaltungsbrief'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='change_form_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Änderungsformular'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='form_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Anweisungsformular'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='invoice_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Rechnungsdatei'),
        ),
        migrations.AlterField(
            model_name='offer',
            name='offer_file',
            field=models.FileField(max_length=255, upload_to='', validators=[finanztool.pdf.generation.pdf_check.validate_file_size, finanztool.pdf.generation.pdf_check.is_pdf], verbose_name='Angebot'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='change_form_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Änderungsformular'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='form_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Anweisungsformular'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='invoice_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Rechnungsdatei'),
        ),
        migrations.AlterField(
            model_name='request',
            name='contract_award_notice_file',
            field=models.FileField(blank=True, max_length=255, null=True, upload_to='', verbose_name='Vergabevermerk'),
        ),
        migrations.AlterField(
            model_name='request',
            name='receipt',
            field=models.FileField(blank=True, max_length=255, null=True, upload_to='', validators=[finanztool.pdf.generation.pdf_check.validate_file_size], verbose_name='Belegdatei'),
        ),
        migrations.AlterField(
            model_name='zerosumbooking',
            name='data_file',
            field=models.FileField(blank=True, max_length=255, upload_to='', verbose_name='Rechnungen/Informationen'),
        ),
    ]
